# switchyard.spec.in
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of version 2.1 of the GNU Lesser General Public
#    License as published by the Free Software Foundation;
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Lesser General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, 
#    Boston, MA  02111-1307  USA
#
Name:		switchyard
Version:	0.21.2
Release:	1%{?dist}
Summary:	AES67 Control and Conveience Library
Group:		System Environment/Libraries
License:	lgplv2
URL:		http://www.paravelsystems.com/
Source0:	%{name}-%{version}.tar.gz
BuildRequires:	qt-devel
BuildRoot: 	/var/tmp/%{name}-0.21.2


%package devel
Summary:        Development components for the Switchyard AES67 Library
Group:		System Environment/Libraries
Requires:	%{name} = %{version}-%{release}


%description
Switchyard is a control and convenience library for writing applications
for Audio-over-IP (AoIP) systems using the AES67 and Livewire standards.


%description devel
These are the library components and headers required to develop application
for the Switchyard AES67 library.


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%post
ldconfig


%postun
ldconfig


%files
%defattr(-,root,root,-)
%{_libdir}/libSwitchyard.so
%{_libdir}/libSwitchyard.so.15
%{_libdir}/libSwitchyard.so.15.2.1
%doc COPYING
%doc NEWS
%doc README


%files devel
%{_bindir}/sygpiotest
%{_includedir}/sy/*.h
%{_libdir}/pkgconfig/switchyard.pc
%{_libdir}/libSwitchyard.a
%{_libdir}/libSwitchyard.la

%changelog
* Tue Dec 13 2016 Fred Gleason <fredg@paravelsystems.com>
-- Added sygpiotest(1).
* Sun Mar 22 2015 Fred Gleason <fredg@paravelsystems.com>
-- Removed syd(8).
* Wed Jan 28 2015 Fred Gleason <fredg@paravelsystems.com>
-- Added syd(8).
* Mon Aug  4 2014 Fred Gleason <fredg@paravelsystems.com>
-- Added a BuildRoot: directive.
* Fri Aug  1 2014 Fred Gleason <fredg@paravelsystems.com>
-- Initial packaging.
